﻿@model MIMS.Portal.ViewModels.MerchantIndexViewModel
@using MIMS.Portal.ValueObjects.Enum;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "پذیرندگان";
}

@{
    var id = Context.Request.RouteValues["id"]?.ToString() ?? string.Empty;
    var items = Model;

    if (!string.IsNullOrEmpty(id) && Enum.TryParse(id.Replace("-", ""), true, out ReviewStatus status))
    {
        //if (status == ReviewStatus.Pending)
        //    items = items.Where(i => i.Status == ReviewStatus.Pending || i.Status == ReviewStatus.Unknown);

        //if (status == ReviewStatus.Approved)
        //    items = items.Where(i => i.Status == ReviewStatus.PreApproved || i.Status == ReviewStatus.Approved);

        //if (status == ReviewStatus.Rejected)
        //    items = items.Where(i => i.Status == ReviewStatus.Rejected);
    }

    //items = items.ToList();
}

<!-- stats -->
<section>
    <div class="row" data-title="گجت ها" data-intro="گجت های نمایش دهنده خلاصه اطلاعات مرتبط">
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب ثبت شده" data-intro="تعداد حساب بانکی ثبت شده">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="cyan">
                                    @Model.Stats.Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="" class="icon-filter2 text-muted"></a> ثبت شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-birdpen cyan font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب منتظر بررسی" data-intro="تعداد حساب بانکی منتظر بررسی">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="orange">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Pending.ToString()" class="icon-filter2 text-muted"></a> منتظر بررسی</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-judicialgavel orange font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="green">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved || x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Approved.ToString()" class="icon-filter2 text-muted"></a> تایید شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-check-circle-o green font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="red">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@ReviewStatus.Rejected.ToString()" class="icon-filter2 text-muted"></a> رد شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-times-circle-o red font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
<!--/ stats -->

<partial name="_SearchFiltersPartial" for="@Model.Filters" />


<section id="merchant-index">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                @if (User.IsInRole("Admin"))
                                {
                                    <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CreatorUserId)</th>
                                }
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().MerchantType)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().MerchantFullname)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().FatherName)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Gender)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().NationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Mobile)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Phone)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CompanyName)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CompanyNationalId)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().Status)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().ReviewComment)</th>
                                <th>@Html.DisplayNameFor(model => model.Merchants.FirstOrDefault().CreatedDate)</th>
                                <th class="no-sort"><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Merchants)
                            {

                                var statusColor = "default";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending)
                                    statusColor = "warning";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved)
                                    statusColor = "info";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved)
                                    statusColor = "success";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected)
                                    statusColor = "danger";

                                <tr>
                                    @if (User.IsInRole("Admin"))
                                    {
                                        <td>@item.CreatorFullName</td>
                                    }
                                    <td>@Html.DisplayFor(modelItem => item.MerchantType)</td>
                                    <td>@item.MerchantFullname<br /><small class="mt-2">@item.EnglishMerchantFullname</small></td>
                                    <td>@item.FatherName<br /><small class="mt-2">@item.EnglishFatherName</small></td>
                                    <td>@Html.DisplayFor(modelItem => item.Gender)</td>
                                    <td>@item.NationalCode</td>
                                    <td>@item.Mobile</td>
                                    <td>@item.Phone</td>
                                    <td>@item.CompanyName <br /><small class="mt-2">@item.EnglishCompanyName</small></td>
                                    <td>@item.CompanyNationalId</td>
                                    <td><i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)</td>
                                    <td>@item.ReviewComment</td>
                                    <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                    <td align="center">
                                        <a asp-action="Details" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                                        @*<a class="btn btn-default" href="/partner/index?id=@item.Id" data-toggle="tooltip" title="صاحبان"><em class="fa fa-users"></em></a>*@
                                        @*<a hidden asp-action="Details" asp-controller="BankAccounts" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-credit-card"></i></a>
                                            <a hidden asp-action="Details" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-building-o"></i></a>
                                            <a hidden asp-action="Index" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-default"><i class="fa fa-plug"></i></a>*@
                                        @*<a class="btn btn-default" href="/comment/index?merchantid=@item.Id"><em class="fa fa-comments"></em></a>*@
                                        @if (User.IsInRole("Admin"))
                                        {
                                            <a asp-action="ChangeAgent" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-outline-warning disabled fa fa-fw fa-exchange" data-toggle="tooltip" title="تغییر نماینده"></a>
                                            <a asp-action="Delete" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                                            <a asp-action="Review" asp-controller="Merchants" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-check-circle" data-toggle="tooltip" title="تایید اطلاعات"></a>

                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>



